> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update live event session 

> Update an existing live event session details like start time, duration, event name, etc.

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/update-live-event-session
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/update-live-event-session:
    post:
      tags:
        - Live
      summary: 'Update live event session '
      description: >-
        Update an existing live event session details like start time, duration,
        event name, etc.


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          liveEventSessionId:
                            type: string
                            minLength: 1
                            description: >-
                              The session ID of the live event session you want
                              to update
                          eventTitle:
                            type: string
                            minLength: 1
                            description: >-
                              The title of the event. This will be visible to
                              users inside call
                          scheduledStartAt:
                            type: string
                            format: date-time
                            description: >-
                              Scheduled start time in ISO format. This is only
                              used as a hint and is not enforced
                          shouldAddEveryoneOnStageByDefault:
                            type: boolean
                            description: >-
                              If passed as true, then everyone would be added on
                              stage by default. Note that the max number of
                              students on stage (stage limit) is enforced by the
                              plan limit you have with Fermion.
                          scheduledDurationInMinutes:
                            anyOf:
                              - type: number
                                enum:
                                  - 15
                              - type: number
                                enum:
                                  - 30
                              - type: number
                                enum:
                                  - 45
                              - type: number
                                enum:
                                  - 60
                              - type: number
                                enum:
                                  - 90
                              - type: number
                                enum:
                                  - 120
                              - type: number
                                enum:
                                  - 180
                              - type: number
                                enum:
                                  - 240
                              - type: number
                                enum:
                                  - 300
                              - type: number
                                enum:
                                  - 360
                            description: >-
                              Scheduled duration of the live event in minutes.
                              Must be one of: 15, 30, 45, 60, 90, 120, 180, 240,
                              300, or 360 minutes
                          canUsersRequestToJoinStage:
                            type: boolean
                            description: >-
                              Whether users can request to join the stage during
                              the live event
                          shouldEnablePlaybackAfterStreamEnds:
                            type: boolean
                            description: >-
                              Whether playback should be enabled after the
                              stream ends
                        required:
                          - liveEventSessionId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties: {}
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````